Was some significant V1 change recently implemented?

I’ve been using an older version of the WP Plugin to log users in and for some reason now when logging in with Patreon my site is just creating a blank account with no email address and a short six character string. It is not tied to their email address or anything.

Has the OAuth flow been changed somehow?

Seems like this is the error:

2020/01/14 16:47:33 [error] 130355#130355: 11036872 FastCGI sent in stderr: “PHP message: PHP Warning: array_key_exists() expects parameter 2 to be array, null given in /www/**************/public/wp-content/plugins/patreon-wordpress/classes/patreon_routing.php on line 103” while reading response header from upstream, client: *****, server: ********.com, request: “GET /patreon-authorization/?code=nwi79KeMFSAbbEzHLR6G7o98cThu76&state=8d00a29ac1e321c22178d63d9721f0d7 HTTP/1.0”, upstream: "fastcgi://unix:/var/run/php7.3-fpm-.sock:", host: "*.com", referrer: “https://www.patreon.com/

Older version of the WP plugin will likely not work depending on how old the plugin is.

Updating the plugin to the latest at WP repo would fix your problems.

If you have 3rd party modifications relying on the old version of the plugin, you may need to update them to work with the latest one.

FWIW for others having an issue. This appears to be caused my User Agent blocking on the Patreon API.

Added this line to patreon_oauth.php and at least users are logged in properly now.

		curl_setopt($curl, CURLOPT_USERAGENT, "your user agent here");

Confirmed here that this change was put in yesterday. @Jackie_Bow also confirmed that my IP had been being blocked.

Yes, that could cause problems - user agent was added to latest version of WP plugin a long time ago.

Can you just update the plugin to latest?

This would not only fix that problem and many potential ones, but also add new features.

If you are unable to upgrade due to various modifications, just let me know and ill think of something to help you make the move.

The issue I have with upgrading is that I’m using the original Patreon Connect: Patron Memberships plugin that syncs everything up with my Paid Memberships Pro status.

Ah i see. Then you cant upgrade right away to latest version.

Now, we are slowly adding compatibility with other plugins (including membership ones) to Patreon WordPress. Paid Memberships Pro compatibility is definitely going to happen in near future. If you keep following the plugin, you may upgrade to latest version easily in future.